%define module	editorconfig
%define srcname	editorconfig

Name:		python-%{module}
Version:	0.17.0
Release:	%mkrel 1
Summary:	EditorConfig File Locator and Interpreter for Python
Group:		Development/Python
License:	MIT
URL:		https://pypi.org/project/EditorConfig/
Source0:	https://pypi.io/packages/source/e/editorconfig/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)

%description
EditorConfig Python Core provides the same functionality as the EditorConfig
C Core. EditorConfig Python core can be used as a command line program or as
an importable library.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	EditorConfig File Locator and Interpreter for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
EditorConfig Python 3 Core provides the same functionality as the EditorConfig
C Core. EditorConfig Python 3 core can be used as a command line program or as
an importable library.

#------------------------------------------------

%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files editorconfig

%files -n python3-%{module} -f %{pyproject_files}
%{_bindir}/editorconfig


%changelog
* Sat Dec 14 2024 daviddavid <daviddavid> 0.17.0-1.mga10
+ Revision: 2124963
- new version: 0.17.0

* Thu Feb 15 2024 daviddavid <daviddavid> 0.12.4-1.mga10
+ Revision: 2041524
- new version: 0.12.4

* Tue Dec 12 2023 papoteur <papoteur> 0.12.3-5.mga10
+ Revision: 2017389
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.12.3-4.mga9
+ Revision: 1823772
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.12.3-3.mga9
+ Revision: 1785008
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.12.3-2.mga9
+ Revision: 1707513
- rebuild for python 3.9

* Thu Dec 24 2020 daviddavid <daviddavid> 0.12.3-1.mga8
+ Revision: 1663411
- new version: 0.12.3

* Sun Feb 16 2020 umeabot <umeabot> 0.12.2-3.mga8
+ Revision: 1531915
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.12.2-2.mga8
+ Revision: 1441371
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.12.2-1.mga7
+ Revision: 1352613
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.12.1-3.mga7
+ Revision: 1288793
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.12.1-2.mga7
+ Revision: 1135409
- Rebuild for python 3.6

* Sun Oct 30 2016 daviddavid <daviddavid> 0.12.1-1.mga6
+ Revision: 1064200
- initial package python-editorconfig

